﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ListBoxItemFocus
{
    public class ViewModel: INotifyPropertyChanged
    {       
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion

        private Data _selected;
        public Data Selected
        {
            get { return _selected; }
            set
            {
                if (_selected != value)
                {
                    _selected = value;
                    OnPropertyChanged("Selected");
                }
            }
        }
        public ObservableCollection<Data> DataCollection
        {
            get
            {
                var list = new ObservableCollection<Data>();
                list.Add(new Data()
                             {
                                 Item = "item1"
                             });

                list.Add(new Data()
                {
                    Item = "item2"
                });                list.Add(new Data()
                {
                    Item = "item3"
                });

                return list;

            }
        }

    }

    public class Data
    {
        public string Item { get; set; }
    }
}